Search the Community
Showing results for tags 'holes'.
-
Dear All, I am new to the forum so thanks in advance. My problem is this I have been asked to create an artistic cube drawing which is 1 metre square, then I have to insert 100 separate holes right through all 3 (6) faces, there is 100 holes in all starting at 1mm then 2mm, 3mm... and so on through to 100mm. Would there be a formula for this does anyone know? Really appreciate any input on this nutty problem. Campaigner
-
Help with holes in a 3D model with a lack of linear lines to reference?
magic_chelsea posted a topic in Autodesk Inventor
Hi. So I'm learning how to use Autodesk Inventor and I need to complete a key holder (see attached images). I am stuck at the point where I have to put holes in the key holder so I can constrain the nobs to the plank. As it is rounded, I only have one linear line as a reference. I need to be able to click a line for reference 2, but there is nothing to click. I want to have the dividing line between the semi-circle and the rectangle as a reference. Please help! I have no idea how to word this, so sorry if it is hard to understand. It is not my own technical drawing, it's my teachers, but I'm on holidays so I can't ask for help from them. Plus, I need to have it done by the end of the holidays... :cry:- 8 replies
-
- placement
- linear lines
-
(and 3 more)
Tagged with:
-
Macro for custom property of total number of piercings in a part
klarson85 posted a topic in Autodesk Inventor
Hello, I have been trying to create a macro that would add a custom property to my sheet metal parts that would tell me the total number of piercings in the part (holes and punches). So far I have the punches to count correctly but I am having issues with the holes, as I am getting an error. Any ideas? Sub Piercings() 'Get the part doc and sheet metal component defn. No error handling: Dim oPartDocument As Inventor.PartDocument Set oPartDocument = ThisApplication.ActiveDocument Dim oSheetMetalComp As Inventor.SheetMetalComponentDefinition Set oSheetMetalComp = oPartDocument.ComponentDefinition 'Dim oHoles As Inventor.HoleTables 'Set oHoles = oPartDocument.ComponentDefinition 'Get the pierce count Dim iHoleCount As Integer 'iHoleCount = oHoles.Count Dim iPunchCount As Integer iPunchCount = oSheetMetalComp.FlatPattern.FlatPunchResults.Count Dim iPierceCount As Integer iPierceCount = iHoleCount + iPunchCount 'Get the custom property set Dim oCustomProps As Inventor.PropertySet Set oCustomProps = oPartDocument.PropertySets.Item("Inventor User Defined Properties") 'Define the name of the PIERCING count iproperty name: Dim sPiercePropName As String sPiercePropName = "PIERCINGS" 'See if we already have an iproperty for the PIERCING count Dim oPierceProp As Inventor.Property Dim oProp As Inventor.Property For Each oProp In oCustomProps If oProp.Name = sPiercePropName Then 'We already have an iproperty, we just need to write the new value Set oPierceProp = oProp oPierceProp.Value = iPierceCount Exit Sub End If Next oProp 'We don't have an iproperty, so we create it and set its value If oPierceProp Is Nothing Then Set oPierceProp = oCustomProps.Add(iPierceCount, sPiercePropName) End Sub -
Hi All, I was wondering if there was a lisp routine out there that when you pick a line it would put to circles in between the center of two lines 6" from each end? i've enclosed a file showing what i 'm looking for. Thanks, Brian